package com.yonge.cooleshow.biz.dal.queryInfo;

import io.swagger.annotations.ApiModelProperty;

import com.yonge.cooleshow.biz.dal.enums.SuggestionType;
import com.yonge.toolset.base.page.QueryInfo;

/**
 * @Author Joburgess
 * @Date 2021/8/10 0010
 */
public class SysSuggestionQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "建议类型")
    private SuggestionType type;

    private String startTime;

    private String endTime;

    @ApiModelProperty(value = "客户端类型",required = false)
    private String clientType;

    public SuggestionType getType() {
        return type;
    }

    public void setType(SuggestionType type) {
        this.type = type;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }
}
